Bug 587646 - Review Request: not-yet-commons-ssl - Library to make SSL and Java Easier
Review Request: not-yet-commons-ssl - Library to make SSL and Java Easier
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mary Ellen Foster
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-30 09:15 EDT by Alexander Kurtakov
Modified: 2010-05-06 09:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-06 09:16:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mefoster: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Alexander Kurtakov 2010-04-30 09:15:30 EDT
Spec URL: http://akurtakov.fedorapeople.org/not-yet-commons-ssl.spec
SRPM URL: http://akurtakov.fedorapeople.org/not-yet-commons-ssl-0.3.11-1.fc12.src.rpm
Description: 
Commons-SSL let's you control the SSL options you need in an 
natural way for each SSLSocketFactory, and those options won't 
bleed into the rest of your system.
Comment 1 Mary Ellen Foster 2010-05-03 06:06:24 EDT
Review:
OK: rpmlint must be run on every package. Output:
not-yet-commons-ssl-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Javanese
3 packages and 0 specfiles checked; 0 errors, 1 warnings.

False positive (although you may want to change that to "API Documentation" or something)

OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format
%{name}.spec unless your package has an exemption.
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the
Licensing Guidelines .
OK: The License field in the package spec file must match the actual license.
FIX: The spec file must be written in American English.

Typo in the description: "let's" should be "lets"

OK: The spec file for the package MUST be legible.
OK: The sources used to build the package must match the upstream source, as
provided in the spec URL.
716ac79b162dc5a964d6c7ac863def46  not-yet-commons-ssl-0.3.11.zip
716ac79b162dc5a964d6c7ac863def46  not-yet-commons-ssl-0.3.11.zip.1

OK: The package MUST successfully compile and build into binary rpms on at
least one primary architecture.
OK: All build dependencies must be listed in BuildRequires
OK: Packages must NOT bundle copies of system libraries.
OK: A package must own all directories that it creates. 
OK: A Fedora package must not list a file more than once in the spec file's
%files listings. 
OK: Permissions on files must be set properly. 
OK: Each package must have a %clean section, which contains rm -rf %{buildroot}
(or $RPM_BUILD_ROOT). 
OK: Each package must consistently use macros. 
OK: The package must contain code, or permissable content.
OK: Packages must not own files or directories already owned by other packages. 
OK: At the beginning of %install, each package MUST run rm -rf %{buildroot}
OK: All filenames in rpm packages must be valid UTF-8. 


Also: the javadoc package has its files in /usr/share/javadoc/not-yet-commons-ssl/javadocs -- that extra "javadocs" directory shouldn't be there.

Is the link to commons-ssl.jar necessary at the moment? (That is, do other packages using this expect to find something called commons-ssl.jar?)
Comment 2 Alexander Kurtakov 2010-05-03 08:12:45 EDT
(In reply to comment #1)
> Review:
> OK: rpmlint must be run on every package. Output:
> not-yet-commons-ssl-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs
> -> Java docs, Java-docs, Javanese
> 3 packages and 0 specfiles checked; 0 errors, 1 warnings.
> 
> False positive (although you may want to change that to "API Documentation" or
> something)
Done.

> 
> OK: The package must be named according to the Package Naming Guidelines .
> OK: The spec file name must match the base package %{name}, in the format
> %{name}.spec unless your package has an exemption.
> OK: The package must meet the Packaging Guidelines .
> OK: The package must be licensed with a Fedora approved license and meet the
> Licensing Guidelines .
> OK: The License field in the package spec file must match the actual license.
> FIX: The spec file must be written in American English.
> 
> Typo in the description: "let's" should be "lets"
Done.

> 
> OK: The spec file for the package MUST be legible.
> OK: The sources used to build the package must match the upstream source, as
> provided in the spec URL.
> 716ac79b162dc5a964d6c7ac863def46  not-yet-commons-ssl-0.3.11.zip
> 716ac79b162dc5a964d6c7ac863def46  not-yet-commons-ssl-0.3.11.zip.1
> 
> OK: The package MUST successfully compile and build into binary rpms on at
> least one primary architecture.
> OK: All build dependencies must be listed in BuildRequires
> OK: Packages must NOT bundle copies of system libraries.
> OK: A package must own all directories that it creates. 
> OK: A Fedora package must not list a file more than once in the spec file's
> %files listings. 
> OK: Permissions on files must be set properly. 
> OK: Each package must have a %clean section, which contains rm -rf %{buildroot}
> (or $RPM_BUILD_ROOT). 
> OK: Each package must consistently use macros. 
> OK: The package must contain code, or permissable content.
> OK: Packages must not own files or directories already owned by other packages. 
> OK: At the beginning of %install, each package MUST run rm -rf %{buildroot}
> OK: All filenames in rpm packages must be valid UTF-8. 
> 
> 
> Also: the javadoc package has its files in
> /usr/share/javadoc/not-yet-commons-ssl/javadocs -- that extra "javadocs"
> directory shouldn't be there.
Fixed.

> 
> Is the link to commons-ssl.jar necessary at the moment? (That is, do other
> packages using this expect to find something called commons-ssl.jar?) 
Symlink removed.  

New sources:
Spec URL: http://akurtakov.fedorapeople.org/not-yet-commons-ssl.spec
SRPM URL:
http://akurtakov.fedorapeople.org/not-yet-commons-ssl-0.3.11-2.fc12.src.rpm
Description:
Comment 3 Mary Ellen Foster 2010-05-03 08:39:19 EDT
Looks good -- APPROVED
Comment 4 Alexander Kurtakov 2010-05-03 12:45:39 EDT
New Package CVS Request
=======================
Package Name: not-yet-commons-ssl 
Short Description: Library to make SSL and Java Easier
Owners: akurtakov
Branches: F-13
InitialCC:
Comment 5 Kevin Fenzi 2010-05-03 22:57:36 EDT
CVS done (by process-cvs-requests.py).
Comment 6 Alexander Kurtakov 2010-05-06 09:16:03 EDT
Built in rawhide.
http://koji.fedoraproject.org/koji/buildinfo?buildID=171870

Note You need to log in before you can comment on or make changes to this bug.